﻿@model IEnumerable<Airlines.Business.DTOs.AirportDTO>

@{
	ViewData["Title"] = "Airports";
}
<div class="container-form">
	<div class="container-head">
		<a href="/">
			<img src="~/assets/left sidebar.png" alt="bar" />
		</a>
		<h1>Airports</h1>
	</div>
	@{
		var search = new Search{
			Filter = "Country", 
			Value = ""
		};
	}
	@await Html.PartialAsync("_SearchBar", search)
	<table class="table" id="table">
		<tr class="table-head">
			<th class="table-head-tag">
				@Html.DisplayNameFor(model => model.Name)
			</th>
			<th class="table-head-tag">
				@Html.DisplayNameFor(model => model.Country)
			</th>
			<th class="table-head-tag">
				@Html.DisplayNameFor(model => model.City)
			</th>
			<th class="table-head-tag">
				@Html.DisplayNameFor(model => model.Code)
			</th>
			<th class="table-head-tag">
				@Html.DisplayNameFor(model => model.Runways_count)
			</th>
			<th class="table-head-tag">
				@Html.DisplayNameFor(model => model.Founded)
			</th>
			<th class="table-head-tag">
				Buttons
			</th>
		</tr>
		@foreach (var item in Model)
		{
			<tr>
				<td class="table-row-tag">
					@Html.DisplayFor(modelItem => item.Name)
				</td>
				<td class="table-row-tag">
					@Html.DisplayFor(modelItem => item.Country)
				</td>
				<td class="table-row-tag">
					@Html.DisplayFor(modelItem => item.City)
				</td>
				<td class="table-row-tag">
					@Html.DisplayFor(modelItem => item.Code)
				</td>
				<td class="table-row-tag">
					@Html.DisplayFor(modelItem => item.Runways_count)
				</td>
				<td class="table-row-tag">
					@Html.DisplayFor(modelItem => item.Founded)
				</td>
				<td class="table-row-tag">
					@Html.ActionLink("Edit", "Edit", new { id = item.ID }) |
					@Html.ActionLink("Details", "Details", new {id = item.ID}) |
					@Html.ActionLink("Delete", "Delete", new { id = item.ID })
				</td>
			</tr>
		}
	</table>
	<button class="block-button-show scroll-top" id="scroll-top">Go top</button>
	<button class="block-button-show" id="show-more" onclick="showMore()">Show More</button>
	<a href="#" class="block-button-form" id="show-form" onclick="showForm()">Show Form</a>
	<form class="form hidden" id="form" asp-action="Create" method="post">
		<legend>Add new Airport</legend>

		<label for="name">Name</label>
		<input type="text" id="name" name="Name" onblur="checkName()"/>
		<span class="validation hidden" id="name-valid">Name must be filled</span>

		<label for="country">Country</label>
		<input type="text" id="country" name="Country" onblur="checkCountry()"/> 
		<span class="validation hidden" id="country-valid">Country must be filled</span>

		<label for="city">City</label>
		<input type="text" id="city" name="City" onblur="checkCity()"/>
		<span class="validation hidden" id="city-valid">City must be filled</span>

		<label for="code">Code</label>
		<input type="text" id="code" name="Code" onblur="checkCode()"/>
		<span class="validation hidden" id="code-valid">Code must be filled, min 3 chars, uppercase</span>

		<label for="runways_count">Runways Count</label>
		<input type="number" id="runways_count" name="Runways_count" onblur="checkRunwaysCount()"/>
		<span class="validation hidden" id="runways-count-valid">Runways must be filled</span>

		<label for="founded">Founded</label>
		<input type="date" id="founded" name="Founded" onblur="checkFounded()"/>
		<span class="validation hidden" id="founded-valid">Founded must be filled and cannot be in future</span>

		<input type="submit" class="block-button-form" id="submit-button" value="Submit" />
	</form>
</div>
@section Scripts {
	<script src="~/js/airportValidation.js"></script>
}